Open Babel: OBFFConstraint Class Reference

Public Member Functions | Public Attributes

# OBFFConstraint Class Reference

Internal class for OBForceField to hold constraints. More...

`#include <openbabel/forcefield.h>`

List of all members.

## Public Member Functions
| OBFFConstraint ()
| ~OBFFConstraint ()
vector3 | GetGradient (int a)
## Public Attributes
double | factor
double | constraint_value
double | rab0
double | rbc0
int | type
int | ia
int | ib
int | ic
int | id
OBAtom * | a
OBAtom * | b
OBAtom * | c
OBAtom * | d
vector3 | grada
vector3 | gradb
vector3 | gradc
vector3 | gradd

## Detailed Description

Internal class for OBForceField to hold constraints.

Since:
  version 2.2

## Constructor & Destructor Documentation

OBFFConstraint | ( | ) | `[inline]`

Constructor.

~OBFFConstraint | ( | ) | `[inline]`

Destructor.

## Member Function Documentation

vector3 GetGradient | ( | int | a ) | `[inline]`

## Member Data Documentation

double factor

Used to store the contraint energy for this OBFFConstraint.

Referenced by OBFFConstraints::AddAngleConstraint(), OBFFConstraints::AddAtomConstraint(), OBFFConstraints::AddAtomXConstraint(), OBFFConstraints::AddAtomYConstraint(), OBFFConstraints::AddAtomZConstraint(), OBFFConstraints::AddDistanceConstraint(), and OBFFConstraints::AddTorsionConstraint().

double constraint_value

Referenced by OBFFConstraints::AddAngleConstraint(), OBFFConstraints::AddDistanceConstraint(), and OBFFConstraints::AddTorsionConstraint().

double rab0

double rbc0

int type

Used to store the contraint type for this OBFFConstraint.

Referenced by OBFFConstraints::AddAngleConstraint(), OBFFConstraints::AddAtomConstraint(), OBFFConstraints::AddAtomXConstraint(), OBFFConstraints::AddAtomYConstraint(), OBFFConstraints::AddAtomZConstraint(), OBFFConstraints::AddDistanceConstraint(), OBFFConstraints::AddIgnore(), and OBFFConstraints::AddTorsionConstraint().

int ia

Referenced by OBFFConstraints::AddAngleConstraint(), OBFFConstraints::AddAtomConstraint(), OBFFConstraints::AddAtomXConstraint(), OBFFConstraints::AddAtomYConstraint(), OBFFConstraints::AddAtomZConstraint(), OBFFConstraints::AddDistanceConstraint(), OBFFConstraints::AddIgnore(), and OBFFConstraints::AddTorsionConstraint().

int ib

Referenced by OBFFConstraints::AddAngleConstraint(), OBFFConstraints::AddDistanceConstraint(), and OBFFConstraints::AddTorsionConstraint().

int ic

Referenced by OBFFConstraints::AddAngleConstraint(), and OBFFConstraints::AddTorsionConstraint().

int id

Referenced by OBFFConstraints::AddTorsionConstraint().

OBAtom* a

Used to store the atoms for this OBFFCostraint.

OBAtom * b

OBAtom * c

OBAtom * d

vector3 grada

Used to store the gradients for this OBFFCalculation.

vector3 gradb

vector3 gradc

vector3 gradd

The documentation for this class was generated from the following file:

- forcefield.h

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Defines